Loading...
Searching...
No Matches
_PidginWhiteboard Struct Reference

A PidginWhiteboard. More...

`#include <gtkwhiteboard.h>`

## Data Fields

PurpleWhiteboard * | wb
| backend data for this whiteboard
GtkWidget * | window
| Window for the Doodle session.
GtkWidget * | drawing_area
| Drawing area.
GdkPixmap * | pixmap
| Memory for drawing area.
int | width
| Canvas width.
int | height
| Canvas height.
int | brush_color
| Foreground color.
int | brush_size
| Brush size.

## Detailed Description

A PidginWhiteboard.

Definition at line 45 of file gtkwhiteboard.h.

## Field Documentation

## brush_color

int _PidginWhiteboard::brush_color

Foreground color.

Definition at line 56 of file gtkwhiteboard.h.

## brush_size

int _PidginWhiteboard::brush_size

Brush size.

Definition at line 57 of file gtkwhiteboard.h.

## drawing_area

GtkWidget* _PidginWhiteboard::drawing_area

Drawing area.

Definition at line 50 of file gtkwhiteboard.h.

## height

int _PidginWhiteboard::height

Canvas height.

Definition at line 55 of file gtkwhiteboard.h.

## pixmap

GdkPixmap* _PidginWhiteboard::pixmap

Memory for drawing area.

Definition at line 52 of file gtkwhiteboard.h.

## wb

PurpleWhiteboard* _PidginWhiteboard::wb

backend data for this whiteboard

Definition at line 47 of file gtkwhiteboard.h.

## width

int _PidginWhiteboard::width

Canvas width.

Definition at line 54 of file gtkwhiteboard.h.

## window

GtkWidget* _PidginWhiteboard::window

Window for the Doodle session.

Definition at line 49 of file gtkwhiteboard.h.

The documentation for this struct was generated from the following file:

- gtkwhiteboard.h